import argparse
import logging

from src import Logger


# Parse arguments
def create_parser():
    parser = argparse.ArgumentParser(description='Basic test program for '
                                                 'usage of multi-touch API.')
    parser.add_argument('--log', metavar='LOG_LEVEL', default='INFO',
                        choices=['DEBUG', 'INFO', 'WARNING'],
                        help='set log level (defaults to INFO)')
    parser.add_argument('--logfile', metavar='FILENAME',
                        help='filename for the log file (the log is printed '
                             'to stdout by default)')
    return parser


def parse_args(parser):
    args = parser.parse_args()

    # Configure logger
    log_config = {'level': getattr(logging, args.log)}

    if args.logfile:
        log_config['filename'] = args.logfile

    Logger.configure(**log_config)

    return args
